using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.CompositeUI;
using Microsoft.Practices.CompositeUI.EventBroker;

namespace AddressBookModule
{
    public class AddBookListController : Controller
    {
        [EventPublication("events://AddressBook/selectEntry", PublicationScope.Global)]
        public event EventHandler selectEntry;

        public void SelectEntry(string name)
        {
            DictionaryEventArgs args = new DictionaryEventArgs();
            args.Data["Name"] = name;

            selectEntry(this, args);
        }
    }
}
