CREATE TABLE [Contacts] (
	[FullName] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[JobTitle] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[Company] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[Email] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DisplayName] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[WebPage] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[Business] [varchar] (15) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[Home] [varchar] (15) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[Mobile] [varchar] (15) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[Address] [varchar] (250) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	CONSTRAINT [PK_Contacts_FullName] PRIMARY KEY  CLUSTERED 
	(
		[FullName]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO


SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE procedure sp_AddNewContact
@name varchar(50),
@job varchar(30), 
@company varchar(100),
@email varchar(100),
@displayName varchar(50),
@webPage varchar(100),
@business varchar(15),
@home varchar(15),
@mobile varchar(15),
@address varchar(250)
as
Insert into Contacts values(@name, @job, @company, @email, @displayName,
	@webPage, @business, @home, @mobile, @address)

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO


CREATE Procedure sp_CheckContactExists
@name varchar(50)
as
select FullName from contacts where FullName = @name

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE procedure sp_DeleteContact
@name varchar(50)
as
Delete from Contacts where FullName = @name

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE procedure sp_EditContact
@name varchar(50),
@job varchar(30), 
@company varchar(100),
@email varchar(100),
@displayName varchar(50),
@webPage varchar(100),
@business varchar(15),
@home varchar(15),
@mobile varchar(15),
@address varchar(250)
as
Update Contacts set JobTitle = @job,
			  Company = @company, 
			  Email = @email, 
			  DisplayName =	@displayName,
			  WebPage = @webPage, 
			  Business = @business,
			  Home = @home,
			  Mobile = @mobile, 
			  Address = @address 
		where FullName = @name

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

Create Procedure sp_get_Name
as
Select FullName from Contacts

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE Procedure sp_GetContacts
as
Select FullName,Email from Contacts


GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

Create procedure sp_SelectContact
@name varchar(50)
as
Select JobTitle, Company, Email, DisplayName, WebPage, Business, Home,
Mobile, Address from Contacts where FullName = @name

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO



insert into contacts values('aaaaaa', 'Developer', 'Syncfusion', 'aaaa@sssss.com',
'aaaaa', '', '919-877-7655', '919-444-3456', '919-841-5521', 
'23,jksdhfdf,etrkt,dfjpdjf,skjfldjf-23')

GO

insert into contacts values('bbbbb', 'Tester', 'Syncfusion', 'bbbb@sssss.com',
'bbbbb', '', '919-877-7655', '919-444-3456', '919-841-5521', 
'23,jksdhfdf,etrkt,dfjpdjf,skjfldjf-23')

GO

insert into contacts values('ccccc', 'Developer', 'Syncfusion', 'cccc@sssss.com',
'cccc', '', '919-877-7655', '919-444-3456', '919-841-5521', 
'23,jksdhfdf,etrkt,dfjpdjf,skjfldjf-23')





