using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;
using System.Windows.Forms;

namespace SampleAddressBook
{
    class MenuItemCollection : ConfigurationElementCollection
    {
        protected override ConfigurationElement CreateNewElement()
        {
            return new MenuItemElement();
        }

        protected override object GetElementKey(ConfigurationElement element)
        {
            MenuItemElement itemElement = (MenuItemElement)element;
            return itemElement.Id;
        }
    }
}
